Subject: RE: gnupg-1.0.0 chokes over make
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "varun sharma" <[email-masked]>, <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 29 Sep 1999 20:26:14 -0400

maybe time to install GCC 2.95?  Are you using gcc from 
B20.1 stock?

You also need to install IPC for Cygwin.  Do a search on
mail archive you will fine a uRL.  I do not remember it.

Suhaib

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of varun sharma
> Sent: Wednesday, September 29, 1999 8:21 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Re: gnupg-1.0.0 chokes over make
> 
> 
> Thanks Anand.
> I incanted ./configure --target=i586-pc-cygwin
> --disable-nls --disable-asm with make -d.
> Now make croaks with..
> 
>             Trying pattern rule with stem `rndunix.w'.
>             Trying implicit dependency
> `SCCS/s.rndunix.w'.
>            No implicit rule found for `rndunix.c'.
>            Finished dependencies of target file
> `rndunix.c'.
>           No need to remake target `rndunix.c'.
>          Finished dependencies of target file
> `rndunix.lo'.
>         Must remake target `rndunix.lo'.
> /bin/sh ../libtool --mode=compile gcc -DHAVE_CONFIG_H
> -I. -I. -I.. -I../include -I../intl    -g -O2 -Wall
> -Wcast-align -Wshadow -Wstrict-prototypes -c rndunix.c
> Putting child 0x0a0472a8 PID 20775 on the chain.
> Live child 0x0a0472a8 PID 20775
> gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../include
> -I../intl -g -O2 -Wall -Wcast-align -Wshadow
> -Wstrict-prototypes -c rndunix.c -o rndunix.o
> rndunix.c:72: sys/ipc.h: No such file or directory
> rndunix.c:82: sys/shm.h: No such file or directory
> In file included from rndunix.c:98:
> ..\include\util.h:198: warning: `stricmp' redefined
> E:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-
> 2.91.57\..\..\..\..\i586-cygwin32\include\string.h:76:
> warning: this is the location of the previous
> definition
> Got a SIGCHLD; 1 unreaped children.
> Live child 0x0a0472a8 PID 20775
> Reaping losing child 0x0a0472a8 PID 20775
> make[2]: *** [rndunix.lo] Error 1
> Removing child 0x0a0472a8 PID 20775 from chain.
> Got a SIGCHLD; 1 unreaped children.
> Live child 0x0a039880 PID 20766
> Reaping losing child 0x0a039880 PID 20766
> make[1]: *** [all-recursive] Error 1
> Removing child 0x0a039880 PID 20766 from chain.
> Got a SIGCHLD; 1 unreaped children.
> Live child 0x0a03d138 PID 20764
> Reaping losing child 0x0a03d138 PID 20764
> make: *** [all-recursive-am] Error 2
> Removing child 0x0a03d138 PID 20764 from chain.
> 
> Quid ?
> - varun
> 
> --- Anand Kumria <[email-masked]> wrote:
> > Date:   Thu, 30 Sep 1999 09:23:44 +1000 (EST)
> > From:   Anand Kumria <[email-masked]>
> > Reply-to: Anand Kumria <[email-masked]>
> > To:     varun sharma <[email-masked]>
> > CC:     [email-masked],
> > [email-masked]
> > Subject: Re: gnupg-1.0.0 chokes over make
> > 
> > On Tue, 28 Sep 1999, varun sharma wrote:
> > 
> > > Hi,
> > > 
> > > I've been trying to port gnupg on a
> > cygwin-b20.1+NTSP5
> > > box via ./configure --target=i386-cygwin32
> > > --disable-nls
> > > 
> > > 
> > > Any assistance would be greatly appreciated.
> > > 
> > 
> > Try including the `--disable-asm' option to
> > configure as well.
> > 
> > Anand.
> > 
> > 
> > 
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Bid and sell for free at http://auctions.yahoo.com
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]